Skip to main content
POST
/
sms
/
batch
SMS 대량 발송 등록 (비동기)
curl --request POST \
  --url https://client-api.tryvox.co/v3/sms/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_number": "<string>",
  "items": [
    {
      "to_number": "<string>",
      "message": "<string>",
      "title": "예약 안내",
      "image_file_keys": [
        "file_abc123"
      ],
      "metadata": {
        "row_id": "r1"
      }
    }
  ],
  "title": "5월 공지 발송"
}
'
{
  "batch_id": "<string>",
  "total_count": 1,
  "items": [
    {
      "index": 1,
      "to_number": "<string>",
      "metadata": {}
    }
  ],
  "title": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Headers

Idempotency-Key
string | null

동일한 POST 요청을 24시간 동안 안전하게 재시도하기 위한 선택적 멱등 키입니다. 제공할 경우 비어 있지 않아야 하며 최대 255자까지 허용됩니다.

Body

application/json

이 엔드포인트가 받는 요청 데이터입니다.

POST /v3/sms/batch 요청 페이로드입니다.

from_number
string
required

모든 항목이 공유하는 배치 레벨 발신 전화번호입니다. 인증된 조직 소유이며 SMS 발송이 활성화되어 있어야 합니다.

Example:

"07011112222"

items
SMSBatchItem · object[]
required

SMS 배치 항목 목록입니다.

Required array length: 1 - 50 elements
title
string | null

발송 캠페인을 위한 선택적 배치 레벨 라벨입니다.

Example:

"5월 공지 발송"

Response

성공 응답

POST /v3/sms/batch 202 응답.

batch_id
string
required

고유 배치 식별자입니다. (UUID)

total_count
integer
required

등록된 전체 항목 수입니다.

Required range: x >= 0
status
enum<string>
required

등록 시점의 배치 캠페인 상태입니다.

Available options:
pending,
ongoing,
success,
fail
items
SMSBatchAcceptedItem · object[]
required

항목별 등록 스냅샷입니다.

title
string | null

요청에서 전달한 배치 레벨 라벨입니다.